[CRIU] [PATCH] test: app-emu -- Use new -v syntax

Cyrill Gorcunov gorcunov at openvz.org
Mon Jul 1 11:21:55 EDT 2013


We've slightly updated -v option argument parsing,
thus update cmdline used in a few app-emu tests.

Signed-off-by: Cyrill Gorcunov <gorcunov at openvz.org>
---
 test/app-emu/java/HelloWorld/run.sh | 4 ++--
 test/app-emu/screen/run.sh          | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/test/app-emu/java/HelloWorld/run.sh b/test/app-emu/java/HelloWorld/run.sh
index 81f31ca..7f94d3a 100644
--- a/test/app-emu/java/HelloWorld/run.sh
+++ b/test/app-emu/java/HelloWorld/run.sh
@@ -21,7 +21,7 @@ pid=${!}
 
 echo Lanuched java application with pid $pid in background
 
-${criu} dump -D dump -o dump.log -v 4 --shell-job -t ${pid} || {
+${criu} dump -D dump -o dump.log -v4 --shell-job -t ${pid} || {
 	echo "Dump failed"
 	exit 1
 }
@@ -30,7 +30,7 @@ wait_tasks dump
 
 echo "Dumped, restoring and waiting for completion"
 
-${criu} restore -D dump -o restore.log -v 4 --shell-job || {
+${criu} restore -D dump -o restore.log -v4 --shell-job || {
 	echo "Restore failed"
 	exit 1
 }
diff --git a/test/app-emu/screen/run.sh b/test/app-emu/screen/run.sh
index 487daa2..67c9913 100644
--- a/test/app-emu/screen/run.sh
+++ b/test/app-emu/screen/run.sh
@@ -14,7 +14,7 @@ echo PID=$pid
 
 mkdir dump
 
-${criu} dump -D dump -o dump.log -v 4  -t ${pid} || {
+${criu} dump -D dump -o dump.log -v4  -t ${pid} || {
 	echo "Dump failed"
 	exit 1
 }
@@ -23,7 +23,7 @@ wait_tasks dump
 
 echo "Dumped, restoring and waiting for completion"
 
-${criu} restore -d -D dump -o restore.log -v 4 || {
+${criu} restore -d -D dump -o restore.log -v4 || {
 	echo "Restore failed"
 	exit 1
 }
-- 
1.8.1.4



More information about the CRIU mailing list